<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".mobile.customer.ui.rekomendasi.RekomendasiFragment">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:id="@+id/layoutRekomendasi"
        android:layout_width="match_parent"
        android:fitsSystemWindows="true"
        android:layout_height="match_parent">

        <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/appbar"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:fitsSystemWindows="true">

            <com.google.android.material.appbar.CollapsingToolbarLayout
                android:id="@+id/collapsingToolbarRekomendasi"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fitsSystemWindows="true"
                app:contentScrim="?attr/colorPrimary"
                app:expandedTitleMarginEnd="64dp"
                app:expandedTitleMarginStart="48dp"
                app:layout_scrollFlags="scroll|exitUntilCollapsed">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:fitsSystemWindows="true"
                    app:layout_collapseMode="parallax">

                    <androidx.viewpager.widget.ViewPager
                        android:id="@+id/viewPagerRekomendasi"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:fitsSystemWindows="true" />

                    <LinearLayout
                        android:id="@+id/sliderIndicator"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:padding="16dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.appcompat.widget.Toolbar
                    android:id="@+id/toolbarRekomendasi"
                    android:layout_width="match_parent"
                    android:layout_height="?attr/actionBarSize"
                    app:layout_collapseMode="pin"
                    app:layout_scrollFlags="scroll|enterAlways" />

            </com.google.android.material.appbar.CollapsingToolbarLayout>

        </com.google.android.material.appbar.AppBarLayout>

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:nestedScrollingEnabled="true"
            android:fillViewport="true"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardView"
                    android:layout_width="130dp"
                    android:layout_height="225dp"
                    android:layout_marginTop="8dp"
                    app:cardCornerRadius="8dp"
                    app:cardElevation="0dp"
                    app:layout_constraintStart_toStartOf="@+id/textViewLokasi"
                    app:layout_constraintTop_toBottomOf="@+id/textViewLokasi">

                    <ImageView
                        android:id="@+id/imageViewLokasi"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:contentDescription="@string/image_view_lokasi"
                        android:scaleType="fitXY"
                        android:src="@drawable/dummy_location" />
                </androidx.cardview.widget.CardView>

                <TextView
                    android:id="@+id/textViewLokasi"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:layout_marginTop="8dp"
                    android:text="@string/lokasi"
                    android:textColor="@android:color/black"
                    android:textSize="18sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/textView2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:layout_marginTop="24dp"
                    android:text="@string/terbaru_untuk_anda"
                    android:textColor="@android:color/black"
                    android:textSize="18sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/recyclerViewMerchantKami" />


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerProdukTerbaru"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="4dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="4dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/textView2" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerProdukByLokasi"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="8dp"
                    android:layout_marginTop="8dp"
                    app:layout_constraintBottom_toBottomOf="@+id/cardView"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/cardView"
                    app:layout_constraintTop_toBottomOf="@+id/textViewLokasi" />


                <include
                    android:id="@+id/emptyView"
                    layout="@layout/empty_view"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="8dp"
                    android:layout_marginTop="8dp"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="@+id/cardView"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/cardView"
                    app:layout_constraintTop_toBottomOf="@+id/textViewLokasi"
                    />

                <TextView
                    android:id="@+id/textView29"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:text="@string/merchant_kami"
                    android:textColor="@android:color/black"
                    android:textSize="18sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="@+id/cardView"
                    app:layout_constraintTop_toBottomOf="@+id/cardView" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerViewMerchantKami"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="4dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/textView29" />

                <ProgressBar
                    android:id="@+id/progressBarNewProduct"
                    style="?android:attr/progressBarStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:layout_constraintBottom_toBottomOf="@+id/recyclerProdukTerbaru"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />

                <TextView
                    android:id="@+id/textViewAllMerchant"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="16dp"
                    android:text="@string/lihat_semua"
                    android:textColor="@color/colorPrimary"
                    app:layout_constraintBottom_toBottomOf="@+id/textView29"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/textView29" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </ScrollView>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>
     <com.facebook.shimmer.ShimmerFrameLayout
         android:id="@+id/progress_bar"
         android:layout_width="match_parent"
         android:layout_height="match_parent"
         app:layout_constraintBottom_toBottomOf="parent"
         app:layout_constraintEnd_toEndOf="parent"
         app:layout_constraintStart_toStartOf="parent"
         app:layout_constraintTop_toTopOf="parent"
         android:visibility="gone"
         app:shimmer_auto_start="true">
         <include layout="@layout/item_shimmer_rekomendasi_fragment" />
     </com.facebook.shimmer.ShimmerFrameLayout>

     <TextView
         android:id="@+id/tvNetworkError"
         android:layout_width="match_parent"
         android:layout_height="match_parent"
         android:text="@string/network_error"
         android:visibility="gone"
         android:gravity="center"/>
</androidx.coordinatorlayout.widget.CoordinatorLayout>